{% macro tags_list(tags, max=null) %}
  {%- if not max -%}
    {%- set max = 999 -%}
  {%- endif -%}
  {%- if tags | length -%}
    {%- if caller -%}
      {# use call syntax to add content before the list #}
      {{ caller() }}
    {%- endif -%}
    <ul class="list-inline mt-2 mx-n2 mb-n1">
      {% for tag in tags | batch(max) | first -%}
        <li class="list-inline-item"><span class="badge badge-pill text-bg-light mb-1 btn js-tag-toggler">{{ tag }}</span></li>
      {%- endfor %}
      {%- if tags | length > max -%}
      <li class="list-inline-item"><span class="badge badge-pill text-bg-light mb-1">…</span></li>
      {%- endif -%}
    </ul>
  {%- endif -%}
{% endmacro %}
